Member VisibilityГранты видимости Vault'а (admin)

Гранты видимости Vault'а (admin)

Активные гранты с карточками субъекта и целевой группы. ?subjectGroupId= / ?subjectUserId= — что открыто конкретному субъекту (для карточки группы или пользователя).

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/visibility-grants?subjectGroupId=example_string&subjectUserId=example_string&includeRevoked=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "subjectType": "example_string",
      "subjectUserId": "example_string",
      "subjectGroupId": "example_string",
      "subject": {
        "id": "example_string",
        "name": "John Doe",
        "username": "John Doe",
        "image": "example_string",
        "color": "example_string",
        "emoji": "example_string"
      },
      "subjectGroup": {
        "id": "example_string",
        "name": "John Doe",
        "color": "example_string",
        "emoji": "example_string"
      },
      "scope": "example_string",
      "targetGroupId": "example_string",
      "targetGroup": {
        "id": "example_string",
        "name": "John Doe",
        "color": "example_string",
        "emoji": "example_string"
      },
      "status": "example_string",
      "grantorId": "example_string",
      "createdAt": "2026-07-02T11:25:15.134Z"
    }
  ]
}
GET
/api/v1/vaults/{code}/visibility-grants
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

better-auth session token. Мобилка/сервисы. Веб использует cookie.

better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key (cookie: better-auth.session_token)
path
codestring
Required

Уникальный код Vault'а (slug)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Уникальный код Vault'а (slug)

Example:
demo_vault

Query Parameters

includeRevokedstring
Allowed values:truefalse

Responses

itemsarray
Required